List file violationsAsk AIget https://apis.druva.com/insync/sdg/v1/fileViolationsGet the list of file violations.Query ParamspolicyIDintegerFilter the file violations by policy. Specify the unique ID of the Sensitive Data Governance policy. Get the ID of the policy using the 'List all configured policies' API.pageTokenstringThe token to access the next page of results. Use the token value received in the previous response's parameter 'pageToken'.violationTypestringenumFilter and list the file violations by the following violation type: All - List all, critical and non critical violations. critical - List only critical violations. nonCritical - List only non critical violations.allcriticalnonCriticalAllowed:allcriticalnonCriticalviolationStatusstringenumFilter and list the file violations by the following violation status: pendingOnAdmin - List all file violations on which admin action is pending. pendingOnUser - List all file violations on which user action is pending.pendingOnAdminpendingOnUserAllowed:pendingOnAdminpendingOnUsersearchQuerystringFilter and list all file violations for a user with matching user name or email address.resolutionTypestringenumFilter and list the file violations based on their resolution type as follows: active - List all active file violations. resolved - List all file violations that are resolved. quarantined - List all file violations which are quarantined.activeresolvedquarantinedAllowed:activeresolvedquarantinedResponses 200OK 400Bad Request 403UnAuthorized, Feature is not enabled for the given authenticated customer 500An internal error occurred on the server. For more information, check server logs.Updated 10 months ago